# MatCreateComposite

Creates a matrix as the sum of zero or more matrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCreateComposite(MPI_Comm comm,PetscInt nmat,const Mat *mats,Mat *mat)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| nmat | - number of matrices to put in
| mats | - the matrices

### Output Parameter

A -the matrix

### Notes

Alternative construction

          MatCreate(comm,&mat);

          MatSetSizes(mat,m,n,M,N);

          MatSetType(mat,MATCOMPOSITE);

          MatCompositeAddMat(mat,mats[0]);

          ....

          MatCompositeAddMat(mat,mats[nmat-1]);

          MatAssemblyBegin(mat,MAT_FINAL_ASSEMBLY);

          MatAssemblyEnd(mat,MAT_FINAL_ASSEMBLY);

### See Also

MatDestroy(), MatMult(), MatCompositeAddMat(), MatCompositeMerge()

Level:advanced
Location: src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages